#ifndef SIMPLESERIALPACKAGER
#define SIMPLESERIALPACKAGER

class SimpleSerialPackager
{
public:
	SimpleSerialPackager(int bufferSize);
	void addDouble(double * u, int m, int n);
	void addInteger(int * u, int m, int n);
	void addString(char * u);
	void getDouble(double * y, int m, int n);
	void getInteger(int * y, int m, int n);
	void getString(char * y);
	void getDimensionsAndType(int * m, int * n, int * type);
	void clear();
	void resetPointer(){_pos = 0;}
	char * getPackage();
	void setPackage(char * buffer,int bufferSize);

private:

	char * _buffer;
	int _bufferSize;
	int _pos;


};



#endif