within Modelica_DeviceDrivers.Utilities.Icons;
partial class VariantPackage
  "Icon for a package class which contains several variants of one assembly"

  annotation (             Icon(coordinateSystem(
        preserveAspectRatio=false,
        extent={{-100,-100},{100,100}},
        grid={1,1}), graphics={
        Rectangle(
          extent={{-50,110},{110,-50}},
          lineColor={0,0,255},
          fillColor={255,255,255},
          fillPattern=FillPattern.Solid),
        Polygon(
          points={{-75,85},{-50,110},{-50,85},{-75,85}},
          lineColor={0,0,255},
          fillColor={255,255,255},
          fillPattern=FillPattern.Solid),
        Polygon(
          points={{85,-75},{110,-50},{85,-50},{85,-75}},
          lineColor={0,0,255},
          fillColor={255,255,255},
          fillPattern=FillPattern.Solid),
        Rectangle(
          extent={{-75,85},{85,-75}},
          lineColor={0,0,255},
          fillColor={255,255,255},
          fillPattern=FillPattern.Solid),
        Polygon(
          points={{-100,60},{-75,85},{-75,60},{-100,60}},
          lineColor={0,0,255},
          fillColor={255,255,255},
          fillPattern=FillPattern.Solid),
        Polygon(
          points={{60,-100},{85,-75},{60,-75},{60,-100}},
          lineColor={0,0,255},
          fillColor={255,255,255},
          fillPattern=FillPattern.Solid),
        Rectangle(
          extent={{-100,60},{60,-100}},
          lineColor={0,0,255},
          fillColor={255,255,170},
          fillPattern=FillPattern.Solid)}),
    Documentation(revisions="<html>
<img src=\"../Extras/Images/dlr_logo.png\"  width=60 >
 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 <b>      Copyright &copy; 2006-2007, DLR Institute of Robotics and Mechatronics</b>
</html>", info="<html>
<p>
This partial class is intended to design a <em>default icon for a package class</em> which contains several <em>variants</em> of one assembly.
</p>
</html>"));
end VariantPackage;
